Subject: Re: [Isis-wg] Message from the ITU

From: Jonathan Sadler <[email-masked]>
Date: Fri, 17 May 2002 12:31:32 -0500

John -

Let me step back and put this all into perspective.

I agree that there is valuable work going on in the IETF IS-IS WG.  And
because of this valuable work, other standards bodies (such as ITU) want
to be able to reference the work.

However, because the policy of the IESG is that RFCs with Informational
status are not normative, these other standards bodies are unable to
reference them.

So what can be done?  I can see a few options, some of which Les already
mentioned:
  1) Make Informational status normative.  This would allow the ITU
     to reference IS-IS WG RFCs.  However, this is not likely
     to happen as it basically allows anyone to write an Internet
     Standard without the IETF development process being involved.
     (Informational status documents are not required to go through
     the same rigor as Standards track documents.)

  2) Move for IS-IS WG RFCs to be Standards track without rectifying
     the situation with JTC1.  This also would allow the ITU to
     reference IS-IS WG RFCs.  However, this has thorny side effects
     due to the fact that in the eyes of the IESG, JTC1 owns IS-IS,
     not the IETF.

  3) Reach agreement with JTC1 on how IETF developed IS-IS
     extensions are handled.  This could be:
      a) JTC1 progresses them to standard
      b) JTC1 allows IETF to progess them to standard, but retains
         IS-IS ownership and therefore may have "veto power"
      c) JTC1 gets out of the IS-IS business allowing the IETF to
         progress them to standard.

I understand your sentament about how JTC1 is only relevant in the area
of IS-IS if we allow them to be relevant.  However, that issue is one
for the IESG to handle.  If they determine that JTC1 is no longer
relevant, then option 2 above would be possible.

Jonathan Sadler

John Harper wrote:
> 
> I've been following this and trying to resist jumping in, but I guess
> I just failed...
> 
> I don't understand why this matters. Regardless of what ITU or JTC1
> think, the handful of vendors who are supplying this protocol all know
> where the action is. Maybe there are some marginal vendors or
> wannabes who believe they can influence things through the ITU,
> but I'd be pretty surprised if they were to succeed.
> 
> I don't believe JTC1 will ever give this up, for the simple reason
> that it is just about the only thing that gives WG7 any reason to
> continue to exist. (When I quit as chair of WG2, the predecessor
> of WG7, in 1992, it was because I really didn't see that there
> was anything useful left to be done in that forum. 10 years later, I don't see
> any reason to believe I was wrong).
> 
>          John
> 
> At 11:37 17/05/2002 -0500, Jonathan Sadler wrote:
> >Jeff -
> >
> >Comments inline...
> >
> >Jonathan Sadler
> >
> >Jeff Parker wrote:
> > >
> > > Having had none of the experience that Les has had, and
> > > none of the insight that the Tony's have into the IETF
> > > inner workings, here is a proposal unencumbered by
> > > any information.
> > >
> > >         1) IETF 'owns' (we need a better term, but I think
> > >         we know what this means) IP issues, such as 2966.
> > >
> > >         2) JTC1 'owns' all pure OSI issues, and some (most?)
> > >         of the link layer.
> > >
> > >         3) Issues such as 3-way handshake need to be worked
> > >         by both sides.  This could involve working through
> > >         the document in IETF (ITU) and then forwarding it
> > >         -before- it is frozen, to the ITU (IETF) for further
> > >         massaging.
> >
> >Actually, it is three-sides, not both sides.  JTC1 and the ITU are not
> >related, just as ITU and the IETF are not related.  JTC1 is a joint
> >committee of ISO and IEC.
> >
> >Even if the IETF and ITU work things out (which I think is quite
> >possible -- there is enough open-minded thinking in both groups), we
> >need JTC1 to also be a party to the agreement.
> >
> > >         4) Some rules on who is working on what, and some
> > >         oversight is needed to bang the pipes when something
> > >         gets wedged and cannot advance.  Some method must be
> > >         provided to fast track documents that all agree upon.
> > >
> > > - jeff parker
> > >
> > > > Having worked on the ISO 10589:2001 draft within ISO, I would be very
> > > > surprised to learn that ANSI thinks it  owns the IS-IS spec.
> > > > As far as I know it is owned by JTC1/SC6/WG7.
> > > > ...
> > > > Les
> > >
> > > _______________________________________________
> > > Isis-wg mailing list  -  [email-masked]
> > > http://spider.juniper.net/mailman/listinfo/isis-wg
> >_______________________________________________
> >Isis-wg mailing list  -  [email-masked]
> >http://spider.juniper.net/mailman/listinfo/isis-wg
> 
> _______________________________________________
> Isis-wg mailing list  -  [email-masked]
> http://spider.juniper.net/mailman/listinfo/isis-wg
============================================================
The information contained in this message may be privileged 
and confidential and protected from disclosure.  If the 
reader of this message is not the intended recipient, or an 
employee or agent responsible for delivering this message to 
the intended recipient, you are hereby notified that any 
reproduction, dissemination or distribution of this 
communication is strictly prohibited. If you have received 
this communication in error, please notify us immediately by 
replying to the message and deleting it from your computer.

Thank you.
Tellabs
============================================================
_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://spider.juniper.net/mailman/listinfo/isis-wg

---

From: RJ Atkinson <[email-masked]>
Date: Fri, 17 May 2002 21:40:33 -0400

> status are not normative, these other standards bodies are unable to

	Actually, that puts the cart in front of the horse.  Some standards
bodies have no problem referencing Informational RFCs as normative
(realising that they aren't IETF standards) in their own contexts.

	So it isn't IESG policy, but the policies of (ITU, JTC1, ISO,
or whoever) about what they will adopt by reference that is the
hindrance here.

Ran